file(GLOB_RECURSE file_list ${DIR} LIST_DIRECTORIES FALSE RELATIVE ${DIR} ui_*.h)
foreach(header_file IN LISTS file_list)
    if(NOT header_file MATCHES "^${GLOBAL_INCLUDE}/")
        message(STATUS "String `${header_file}` does not start with `${CORRECT_INCLUDE}`")
        get_filename_component(HEADER_FILE_DIR ${header_file} DIRECTORY)
        file(MAKE_DIRECTORY "${DIR}${CORRECT_INCLUDE}/${HEADER_FILE_DIR}")
        message("Moving ${DIR}${header_file} to ${DIR}${CORRECT_INCLUDE}/${header_file}")
        file(RENAME "${DIR}${header_file}" "${DIR}${CORRECT_INCLUDE}/${header_file}")
        message(WARNING "The include for ${header_file} needs to use the full relative path, instead of a path without any directories. This is needed for correct installation. The correct include might be (or similar, subfolders might be missing in the proposed include) \n'#include <${CORRECT_INCLUDE}/${header_file}>'")
    endif()
endforeach()
